Bug 23889 - Improve style of menu header in advanced cataloging editor
Summary: Improve style of menu header in advanced cataloging editor
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-24 14:23 UTC by Owen Leonard
Modified: 2020-01-15 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement updates the styling of dropdown menu headers to make them apply more consistently across the system.
Version(s) released in:
20.05.00, 19.11.02


Attachments
GIF comparing before and after the patch (15.03 KB, image/gif)
2019-10-24 14:23 UTC, Owen Leonard
Details
Bug 23889: Improve style of menu header in advanced cataloging editor (2.82 KB, patch)
2019-10-24 14:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23889: Improve style of menu header in advanced cataloging editor (2.87 KB, patch)
2019-11-02 22:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23889: Improve style of menu header in advanced cataloging editor (2.94 KB, patch)
2019-12-16 14:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23889: Use same css class on the basic editor view (1.36 KB, patch)
2019-12-16 14:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-24 14:23:04 UTC
Created attachment 94677 [details]
GIF comparing before and after the patch

The "Settings" menu in the advanced cataloging editor has a menu item which is a header (change framework). This should be styled better, matching, for instance, the "Sort" menu on catalog search results.
Comment 1 Owen Leonard 2019-10-24 14:32:06 UTC
Created attachment 94679 [details] [review]
Bug 23889: Improve style of menu header in advanced cataloging editor

This patch updates the style of dropdown menu headers to make it apply
more globally and changes the advanced cataloging editor template so
that the correct class is applied to the menu header.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the interfaces where these kinds of menu headers can be found:

 - Catalog search results: The "Sort" menu (Popularity, Author, etc.
   headings).

 - Saved report results: Run a report which returns a column of
   biblionumbers or itemnumbers. Check the "Batch operations" menu
   (Bibliographic records or item records headings).

 - Advanced cataloging editor: The settings menu (Change framework
   header).
Comment 2 Katrin Fischer 2019-11-02 22:53:16 UTC
Created attachment 94977 [details] [review]
Bug 23889: Improve style of menu header in advanced cataloging editor

This patch updates the style of dropdown menu headers to make it apply
more globally and changes the advanced cataloging editor template so
that the correct class is applied to the menu header.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the interfaces where these kinds of menu headers can be found:

 - Catalog search results: The "Sort" menu (Popularity, Author, etc.
   headings).

 - Saved report results: Run a report which returns a column of
   biblionumbers or itemnumbers. Check the "Batch operations" menu
   (Bibliographic records or item records headings).

 - Advanced cataloging editor: The settings menu (Change framework
   header).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Jonathan Druart 2019-12-16 14:04:45 UTC
What I see is different from what you advertised: https://snipboard.io/X4UwbT.jpg
Comment 4 Jonathan Druart 2019-12-16 14:06:57 UTC
(In reply to Jonathan Druart from comment #3)
> What I see is different from what you advertised:
> https://snipboard.io/X4UwbT.jpg

Hum ignore that, I got an error on `yarn build` that I did not see!
Comment 5 Jonathan Druart 2019-12-16 14:12:13 UTC
Created attachment 96337 [details] [review]
Bug 23889: Improve style of menu header in advanced cataloging editor

This patch updates the style of dropdown menu headers to make it apply
more globally and changes the advanced cataloging editor template so
that the correct class is applied to the menu header.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the interfaces where these kinds of menu headers can be found:

 - Catalog search results: The "Sort" menu (Popularity, Author, etc.
   headings).

 - Saved report results: Run a report which returns a column of
   biblionumbers or itemnumbers. Check the "Batch operations" menu
   (Bibliographic records or item records headings).

 - Advanced cataloging editor: The settings menu (Change framework
   header).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2019-12-16 14:12:17 UTC
Created attachment 96338 [details] [review]
Bug 23889: Use same css class on the basic editor view

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2019-12-16 14:12:45 UTC
(In reply to Jonathan Druart from comment #6)
> Created attachment 96338 [details] [review] [review]
> Bug 23889: Use same css class on the basic editor view
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Owen, can you confirm you agree with this patch please?
Comment 8 Martin Renvoize 2020-01-02 14:45:40 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-01-12 21:20:52 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 10 Lucas Gass 2020-01-15 21:15:37 UTC
backported to 19.05.x. for 19.05.07
Comment 11 Hayley Mapley 2020-01-15 22:10:26 UTC
Enhancement will not be backported to 18.11.x series.